Skip to content
Find file
Fetching contributors…
Cannot retrieve contributors at this time
126 lines (120 sloc) 5.06 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{cluster_chef}
s.version = "0.1.10"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Infochimps"]
s.date = %q{2011-05-20}
s.description = %q{Chef is a powerful tool for maintaining and describing the software and configurations that let a machine provide its services.}
s.email = %q{coders@infochimps.org}
s.extra_rdoc_files = [
"README.textile"
]
s.files = [
".gitignore",
".rspec",
"Gemfile",
"Gemfile.lock",
"README.textile",
"Rakefile",
"TODO.textile",
"VERSION",
"cluster_chef.gemspec",
"lib/cluster_chef.rb",
"lib/cluster_chef/cloud.rb",
"lib/cluster_chef/compute.rb",
"lib/cluster_chef/core_ext/class.rb",
"lib/cluster_chef/dsl_object.rb",
"lib/cluster_chef/knife/bootstrap/ubuntu10.04-cluster_chef.erb",
"lib/cluster_chef/knife/cluster_bootstrap.rb",
"lib/cluster_chef/knife/cluster_kill.rb",
"lib/cluster_chef/knife/cluster_launch.rb",
"lib/cluster_chef/knife/cluster_show.rb",
"lib/cluster_chef/knife/cluster_ssh.rb",
"lib/cluster_chef/knife/cluster_ssh_proxy.rb",
"lib/cluster_chef/security_group.rb",
"notes/burn_your_own_AMI.textile",
"notes/cluster_roles_and_service_discovery.textile",
"notes/design_your_cluster.textile",
"notes/ec2pricing-and-capacity.numbers",
"notes/ec2pricing-and-capacity.txt",
"notes/make_your_hdfs_persistent_with_ebs_volumes.textile",
"notes/patching-hadoop-the-kludgey-way.textile",
"notes/pt1-initial-settings-and-credentials.textile",
"notes/pt2-chef_server_and_local_chef.textile",
"notes/tips_and_troubleshooting.textile",
"spec/cluster_chef_spec.rb",
"spec/spec_helper.rb",
"tasks/databag.rake"
]
s.homepage = %q{http://infochimps.com/labs}
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.5.0}
s.summary = %q{Chef is a powerful tool for maintaining and describing the software and configurations that let a machine provide its services.}
s.test_files = [
"spec/cluster_chef_spec.rb",
"spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<chef>, ["~> 0.10.0"])
s.add_runtime_dependency(%q<json>, ["~> 1.5.1"])
s.add_runtime_dependency(%q<right_aws>, ["~> 2.1.0"])
s.add_runtime_dependency(%q<formatador>, ["~> 0.1.3"])
s.add_runtime_dependency(%q<choice>, ["~> 0.1.4"])
s.add_runtime_dependency(%q<configliere>, ["~> 0.4.5"])
s.add_runtime_dependency(%q<highline>, ["~> 1.6.2"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_development_dependency(%q<yard>, ["~> 0.6.7"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_development_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_development_dependency(%q<spork>, ["~> 0.9.0.rc5"])
s.add_development_dependency(%q<RedCloth>, [">= 0"])
s.add_development_dependency(%q<rcov>, [">= 0.9.9"])
s.add_development_dependency(%q<watchr>, [">= 0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
else
s.add_dependency(%q<chef>, ["~> 0.10.0"])
s.add_dependency(%q<json>, ["~> 1.5.1"])
s.add_dependency(%q<right_aws>, ["~> 2.1.0"])
s.add_dependency(%q<formatador>, ["~> 0.1.3"])
s.add_dependency(%q<choice>, ["~> 0.1.4"])
s.add_dependency(%q<configliere>, ["~> 0.4.5"])
s.add_dependency(%q<highline>, ["~> 1.6.2"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<yard>, ["~> 0.6.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<spork>, ["~> 0.9.0.rc5"])
s.add_dependency(%q<RedCloth>, [">= 0"])
s.add_dependency(%q<rcov>, [">= 0.9.9"])
s.add_dependency(%q<watchr>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
end
else
s.add_dependency(%q<chef>, ["~> 0.10.0"])
s.add_dependency(%q<json>, ["~> 1.5.1"])
s.add_dependency(%q<right_aws>, ["~> 2.1.0"])
s.add_dependency(%q<formatador>, ["~> 0.1.3"])
s.add_dependency(%q<choice>, ["~> 0.1.4"])
s.add_dependency(%q<configliere>, ["~> 0.4.5"])
s.add_dependency(%q<highline>, ["~> 1.6.2"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<yard>, ["~> 0.6.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, ["~> 2.5.0"])
s.add_dependency(%q<spork>, ["~> 0.9.0.rc5"])
s.add_dependency(%q<RedCloth>, [">= 0"])
s.add_dependency(%q<rcov>, [">= 0.9.9"])
s.add_dependency(%q<watchr>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.12"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
end
end
Jump to Line
Something went wrong with that request. Please try again.